Package net.commoble.databuddy.datagen

# Class SimpleModel.RenderTypes

java.lang.Object
net.commoble.databuddy.datagen.SimpleModel.RenderTypes

Enclosing class:
  SimpleModel

public static class SimpleModel.RenderTypes extends Object
Vanilla render types used by the chunk mesh baker (as of forge 41.0.64 only these are supported in baked block models)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.resources.ResourceLocation`
`CUTOUT`
Vanilla cutout render type, all-or-nothing transparency
`static final net.minecraft.resources.ResourceLocation`
`CUTOUT_MIPPED`
Vanilla cutout_mipped render type, all-or-nothing transparency and mipmapping
`static final net.minecraft.resources.ResourceLocation`
`SOLID`
Vanilla solid render type, no transparency
`static final net.minecraft.resources.ResourceLocation`
`TRANSLUCENT`
Vanilla translucent render type, allows partial transparency
`static final net.minecraft.resources.ResourceLocation`
`TRIPWIRE`
Vanilla tripwire render type, similar to translucent but uses the tripwire shader

## Constructor Summary

Constructors
Constructor
Description
`RenderTypes()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SOLID

public static final net.minecraft.resources.ResourceLocation SOLID
Vanilla solid render type, no transparency

### CUTOUT

public static final net.minecraft.resources.ResourceLocation CUTOUT
Vanilla cutout render type, all-or-nothing transparency

### CUTOUT_MIPPED

public static final net.minecraft.resources.ResourceLocation CUTOUT_MIPPED
Vanilla cutout_mipped render type, all-or-nothing transparency and mipmapping

### TRANSLUCENT

public static final net.minecraft.resources.ResourceLocation TRANSLUCENT
Vanilla translucent render type, allows partial transparency

### TRIPWIRE

public static final net.minecraft.resources.ResourceLocation TRIPWIRE
Vanilla tripwire render type, similar to translucent but uses the tripwire shader

## Constructor Details

### RenderTypes

public RenderTypes()